{% trans_default_domain 'FOSUserBundle' %}

<p class="text-center">
    {{ 'set.new.pwd.and.login'|trans({'%username%':username}, 'messages')|raw }}
</p>

<form action="{{ url('public_user_reset_password_confirmation', {user_id:user_id, token:token}) }}" method="POST" class="fos_user_resetting_reset">

    <div class="form-group">
        <label for="new_password">{{ 'security.login.password'|trans({},'FOSUserBundle') }}

            {% if error_password is defined %}
                <span class="bsp-err-spn invalid-feedback d-block">
                    <span class="d-block">
                        <span class="form-error-icon badge badge-danger text-uppercase">Error</span>
                        <span class="form-error-message">
                            {% for err in error_password %}
                                {{ err }}
                            {% endfor %}
                        </span>
                    </span>
                </span>
            {% endif %}

        </label>

        <div class="input-group">
            <input type="password" name="new_password" class="inp-cls-pwd form-control {{ error_password is defined ? 'is-invalid' }}" id="new_password" placeholder="New Password" value="{{ newPlainPassword is defined and newPlainPassword is not empty ? newPlainPassword }}" required>
            <div class="input-group-append toggle-password">
                <span class="input-group-text"><i class="fas fa-eye"></i></span>
            </div>
        </div>
    </div>

    <div>
        <button class="btn btn-block btn-primary" type="submit">{{ 'resetting.reset.submit'|trans }}</button>
    </div>
</form>